#-------------------------------------------------------------------------------
# Nom:        montecarlo
# Calcul aire par la methode de Monte Carlo
# n : nombre de points aleatoires
# Foucher 2014
#-------------------------------------------------------------------------------

def montecarlo(n):
    import numpy as np
    import random as rd
    s=0
    for i in range(n):
        x=rd.random()
        y=rd.random()
        if y<=np.exp(-x**2/2):
            s=s+1
    return s/n

