#-------------------------------------------------------------------------------
# Name:        rejet
# Purpose: simulation d'une loi normale par la methode du rejet
# Created:     11/01/2014
#-------------------------------------------------------------------------------

from numpy import*
from random import*
import matplotlib.pyplot as plt
plt.clf()

def rejet(n):
    m=1/sqrt(2*pi)
    f=lambda x : m*exp(-x*x/2)
    x=linspace(-5,5,100)
    plt.plot(x,f(x))
    X=[]
    for i in range (1,n+1):
        x=-5+10*random()
        y=m*random()
        while y>f(x):
            x=-5+10*random()
            y=m*random()
        X.append(x)
    plt.hist(X,20,normed=1)
    plt.show()
